<!DOCTYPE html>
<html lang="en">
<head>
    <title>Document</title>
</head>
<body>
    
    <div>
        <form id="my-form">
            <label>Field Name : </label><br>
            <input type="text" name="field-name" id="fname"> <br><br>
            <label>Field ID : </label><br>
            <input type="text" name="field-id" id="fid"> <br><br>
            <label>Field Type : </label><br>
            <input list="types" name="field-type" id="ftype">
            <datalist id="types">
                <option value="text"></option>
                <option value="email"></option>
                <option value="number"></option>
                <option value="radio"></option>
            </datalist>

            <br><br>
            <button type="button" onclick="idChecker()"> ADD </button>
        </form>
    </div>
    <br>
    <div>
        <table id="form-table">
            <tr>
              <th>Field_name</th>
              <th>Field_Id</th>
              <th>Field_Type</th>
            </tr>
            
        </table>
    </div>

    <div>
        <textarea id="html-code" style="height: 500px; width: 700px;"> </textarea>
    </div>

</body>

<script>
    var col_name,col_id,col_type;
    var colData = [];

    function idChecker() {
        var currId = document.getElementById("fid").value;
        var flag = 0;

        for(var i=0; i<colData.length; i++) {
            if(colData[i].col_id == currId) {
                alert("This Id has been used.. kindly change the ID :(");
                flag = 1;
            }
        }

        if(flag == 0) addValue();
    }

    function addValue() {
        col_name = document.getElementById("fname").value;
        col_id = document.getElementById("fid").value;
        col_type = document.getElementById("ftype").value;
        
        var col_field = {
            "col_name" : col_name,
            "col_id" : col_id,
            "col_type": col_type
        }

        JSON.stringify(col_field);
        colData.push(col_field);
        console.log(colData);

        updateTable();
        updateCode();
    }

    function updateTable() {
        var table = document.getElementById("form-table");
        var rowCount = table.rows.length;

        var row = table.insertRow(rowCount);
        var cell1 = row.insertCell(0);
        var cell2 = row.insertCell(1);
        var cell3 = row.insertCell(2);

        var idx = colData.length - 1;

        cell1.innerHTML = colData[idx].col_name;
        cell2.innerHTML = colData[idx].col_id;
        cell3.innerHTML = colData[idx].col_type;
    }

    var codeSnippet = [];
    codeSnippet.push("<form>");
    
    var fwdPart = "<input name = \" ";
    var typepart = " \" type = \" ";
    var idpart = "\" id = \" ";
    var endpart = "\" >";

    function updateCode() {
        var idx = colData.length - 1;
        var input = fwdPart + colData[idx].col_name + typepart + colData[idx].col_type + idpart + colData[idx].col_id + endpart;
        
        console.log(input);
        JSON.stringify(input);
        codeSnippet.push(input);

        var code = document.getElementById("html-code");
        code.textContent = codeSnippet[0];
        code.textContent += '\n';
        for(var i=1; i<codeSnippet.length; i++) {
            code.textContent += codeSnippet[i];
            code.textContent += '\n';
        }
        code.textContent += '</form>'
    }

</script>
</html>